#ifndef ROW_H
#define ROW_H

#include "global.h"
#include "Column.h"
#include <vector>
using namespace std;

/**
* This class represents the <TR> in a Table.  
* 
* Row contains a set of columns. 
*
*/
// Date created - 03 May 2002

class Row {

	public:	
		/**
		* Default Constructor.
		*/
		Row();

		//Row(vector<Column> columnList);

		/**
		* Destructor
		*/
		~Row();

		/**
		* Assignment operator overloaded.
		*/
		Row operator=(const Row &r);

		/**
		* Copy Constructor
		*/
		Row(const Row &r);

		int setColumns(vector<Column> colList, int *status);

		/**
		* Gets the column, given the column index. 
		* Index starts from 0.
		*/
		int getColumn(Column &column, int index, int *status);
	
	private: 
		vector<Column> columnList;

		void makecopy(const Row &r);
		void cleanup(void);
		


};

#endif